import { BufferAttribute, BufferGeometry, Material, Matrix4, Mesh, Vector3 } from "three";
export declare function GetFaceDir(direction: Vector3): Vector3;
export declare function angleTo(v1: Vector3, v2: Vector3, ref?: Vector3): number;
export declare class GenUVForWorld {
    InvMtxMap: Map<Vector3, Matrix4>;
    private _Z;
    private _X;
    private _Y;
    private _Box;
    private _Box2;
    GetMtxInv(normalX: number, normalY: number, normalZ: number): Matrix4;
    getUVVector(y: number, normals: BufferAttribute, pos: BufferAttribute, enPos: Vector3, xAxis: Vector3, yAxis: Vector3, zAxis: Vector3): Vector3;
    SnapToZero(vec: Vector3): Vector3;
    GenUV(mesh: Mesh<BufferGeometry, Material[]>): void;
    GenGeoUV(bGeo: BufferGeometry, mtl: Material, enMtx?: Matrix4, scale?: number): void;
    GenGeoUV2(bGeo: BufferGeometry, mtl: Material, startIndex: number, count: number, enMtx: Matrix4, scale?: number): void;
}
//# sourceMappingURL=GenUVForWorld.d.ts.map