/**
 * 线段类型
 * @type 1：直线———
 * @type 2：虚线1-------
 * @type 3：虚线2- - - -
 * @type 4：点线1-·-·-·-
 * @type 5：点线2-··-··-
 * @type 6：长短线1— - — -
 * @type 7：长短线2— - — -x2
 * @type 8：长短线3— - - — - -
 * @type 9：长短线4— - - — - -x2
 */
export declare enum LineType {
    Continuous = 1,
    Dash = 2,
    DashSpace = 3,
    DashDot = 4,
    DashDoubleDot = 5,
    Center = 6,
    Center2x = 7,
    Phantom = 8,
    Phantom2x = 9
}
//# sourceMappingURL=LineType.d.ts.map