import { BufferGeometry, MeshStandardMaterial } from "three";
import { CADFiler } from "../../../CADFiler";
import { ObjectId } from "../../../ObjectId";
import { PhysicalMaterialRecord } from "../../../PhysicalMaterialRecord";
import { RoomFlatBase } from "./RoomFlatBase";
/**
 * 地板
 */
export declare class RoomFlatFloor extends RoomFlatBase {
    protected _ReadFile(file: CADFiler): void;
    WriteFile(file: CADFiler): void;
    protected get MeshMaterial(): MeshStandardMaterial | import("three").MeshBasicMaterial;
    set Material(materialId: ObjectId<PhysicalMaterialRecord>);
    get Material(): ObjectId<PhysicalMaterialRecord>;
    get MeshGeometry(): BufferGeometry;
}
//# sourceMappingURL=RoomFlatFloor.d.ts.map